Skip to navigation

Get account billing plan

View as Markdown

Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card.

By default the successor plan and credit card information is included in the response. This information can be excluded from the response by adding the appropriate optional query string with the setting set to false.

Response

The response returns the billing plan information, including the currency code, for the plan. The billingPlan and succesorPlans property values are the same as those shown in the [ML:Get Billing Plan Details] reference. the billingAddress and creditCardInformation property values are the same as those shown in the [ML:Update Billing Plan] reference.

Note: When credit card number information is shown, a mask is applied to the response so that only the last 4 digits of the card number are visible.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Query parameters

include_credit_card_informationstringOptional

When set to true, payment information including credit card information will show in the return.

include_metadatastringOptional

When set to true, the canUpgrade and renewalStatus properities are included the response and an array of supportedCountries property is added to the billingAddress information.

include_successor_plansstringOptional

When set to true, excludes successor information from the response.

Response

Successful response.
billingAddressobjectOptional
Contains information about an account address.
billingAddressIsCreditCardAddressstringOptional

When set to true, the credit card address information is the same as that returned as the billing address. If false, then the billing address is considered a billing contact address, and the credit card address can be different.

billingPlanobjectOptional
Contains information about an account billing plan.
creditCardInformationobjectOptional
paymentProcessorInformationobjectOptional
referralInformationobjectOptional

A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry

Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only.
successorPlanslist of objectsOptional

Errors

400
Bad Request Error